%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kst
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_old %mklibname kst
%define lib_major_old 0
%define lib_name_old %lib_name_orig_old%lib_major_old

Name:           kst
Summary:        A really cool plotting and data viewing program
Version:        1.2.1
Release:        %mkrel 5
Source:         ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/scientific/%{name}-%version.tar.bz2
URL:            http://omega.astro.utoronto.ca/kst/
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:	GPL
BuildRequires:	kdelibs-devel
BuildRequires:	gsl-devel
BuildRequires:	cfitsio-devel
Requires:       kdebase >= 3.0.2
Requires:	%lib_name = %version-%release
Requires:	gsl
Requires:	netcdf-devel >= 3.6.1
	

%description
A really cool plotting and data viewing program.


%package -n %lib_name
Group:		Development/KDE and Qt
Summary:	Librairies files for Kst
Conflicts:	%lib_name_old <= 0.97-2mdk

%description -n %lib_name
Librairies file for Kst

%package -n %lib_name-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice applications
Requires:      %{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:	%{_lib}%{name}-devel = %{version}
Conflicts:	%{lib_name_old}-devel <= 0.97-2mdk


%description -n %lib_name-devel
Header files needed for developing kst applications.



%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n%name-%version


%build
%configure --disable-rpath \
           --disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} Applications/Education/Sciences $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/Sciences/kst.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

install -d %{buildroot}/{%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%update_icon_cache locolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%clean_icon_cache locolor
%endif

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%_libdir/libkst.so.*
%_libdir/libkstmath.so.*
%_libdir/libkstmath.la

%_libdir/libkstapp.la
%_libdir/libkstapp.so.*

%_libdir/libkstextdate.so.*
%_libdir/libkstwidgets.so.*
%_libdir/libkstextdate.la
%_libdir/libkstwidgets.la

%files -n %lib_name-devel
%defattr(-,root,root)
#
%_includedir/*.h
%_libdir/libkst.so
%_libdir/libkst.la
%_libdir/libkstmath.so
%_libdir/libkstapp.so
%_libdir/libkstextdate.so
%_libdir/libkstwidgets.so

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*

#%_libdir/libkst.la
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/plugins/designer/*.la
%_libdir/kde3/plugins/designer/*.so



%_libdir/kde3/kstplugins/*.la
%_libdir/kde3/kstplugins/*.so
%_libdir/kde3/kstplugins/*.xml
#%_libdir/libkst.so.*


%_menudir/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%_datadir/applnk/Applications/Sciences/kst.desktop

%dir %_datadir/apps/kst/
%_datadir/apps/kst/*.rc

%dir %_docdir/HTML/de/kst
%doc %_docdir/HTML/de/kst/*.docbook
%doc %_docdir/HTML/en/kst/kst.1
%_datadir/man/man1/kst.1.bz2

%dir %_docdir/HTML/en/kst
%doc %_docdir/HTML/en/kst/common
%doc %_docdir/HTML/en/kst/*.bz2
%doc %_docdir/HTML/en/kst/*.docbook
%doc %_docdir/HTML/en/kst/*.png

%dir %_docdir/HTML/da/kst
%doc %_docdir/HTML/da/kst/common
%doc %_docdir/HTML/da/kst/*.bz2
%doc %_docdir/HTML/da/kst/*.docbook

%dir %_docdir/HTML/es/kst
%doc %_docdir/HTML/es/kst/*.docbook

%dir %_docdir/HTML/et/kst
%doc %_docdir/HTML/et/kst/common
%doc %_docdir/HTML/et/kst/*.bz2
%doc %_docdir/HTML/et/kst/*.docbook
%doc %_docdir/HTML/et/kst/*.png

%dir %_docdir/HTML/fr/kst/
%doc %_docdir/HTML/fr/kst/common
%doc %_docdir/HTML/fr/kst/*.bz2
%doc %_docdir/HTML/fr/kst/*.docbook

%dir %_docdir/HTML/it/kst
%doc %_docdir/HTML/it/kst/*.docbook
%doc %_docdir/HTML/it/kst/common
%doc %_docdir/HTML/it/kst/*.bz2
%doc %_docdir/HTML/it/kst/*.png

%dir %_docdir/HTML/es/kst
%doc %_docdir/HTML/es/kst/*.png

%dir %_docdir/HTML/pt/kst
%doc %_docdir/HTML/pt/kst/*.docbook
%doc %_docdir/HTML/pt/kst/common
%doc %_docdir/HTML/pt/kst/*.bz2

%dir %_docdir/HTML/sv/kst
%doc %_docdir/HTML/sv/kst/*.png
%doc %_docdir/HTML/sv/kst/*.docbook
%doc %_docdir/HTML/sv/kst/common
%doc %_docdir/HTML/sv/kst/*.bz2

%dir  %_docdir/HTML/nl/kst
%doc %_docdir/HTML/nl/kst/*.docbook
%doc %_docdir/HTML/nl/kst/common
%doc %_docdir/HTML/nl/kst/*.bz2


%{_iconsdir}/hicolor/16x16/mimetypes/*.png
%{_iconsdir}/hicolor/22x22/actions/*.png
%{_iconsdir}/hicolor/32x32/mimetypes/kst.png

%{_iconsdir}/locolor/16x16/apps/kst.png
%{_iconsdir}/locolor/16x16/mimetypes/kst.png
%{_iconsdir}/locolor/32x32/apps/kst.png
%{_iconsdir}/locolor/32x32/mimetypes/kst.png

%_datadir/mimelnk/application/x-kst.desktop

%dir %_datadir/services/kst/
%_datadir/services/kst/*.desktop

%dir %_datadir/servicetypes/kst/
%_datadir/servicetypes/kst/*.desktop

%dir %_datadir/apps/kst/fonts/
%_datadir/apps/kst/fonts/*.gz

%dir %_datadir/apps/kconf_update/
%dir %_datadir/apps/kconf_update/*.upd

%dir %_datadir/apps/kst/pics
%_datadir/apps/kst/pics/*.png

%dir %_datadir/apps/kst/tutorial
%_datadir/apps/kst/tutorial/*.kst
%_datadir/apps/kst/tutorial/*.dat


%{_datadir}/locale/br/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/ca/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/cs/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/cy/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/da/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/de/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/el/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/en_GB/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/es/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/et/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/fr/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/ga/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/hi/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/is/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/it/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/lt/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/mt/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/nl/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/nn/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/pa/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/pl/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/pt/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/ro/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/ru/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/rw/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/sr/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/sr@Latn/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/sv/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/ta/LC_MESSAGES/kstplugineditor.mo
%{_datadir}/locale/tr/LC_MESSAGES/kstplugineditor.mo

%_datadir/config/colors/Kst*
%_datadir/config/colors/IDL*

%changelog
* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-5mdk
- Rebuild

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-4mdk
- Remove redundant BuildRequires

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-3mdk
- Fix BuildRequires

* Mon May 08 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.1-2
- Rebuild to generate category

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-1mdk
- New release 1.2.1

* Thu Feb 16 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-1
- 1.2.0

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.1.1-2mdk
- fix x86_64 build

* Sun Oct 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.1-1mdk
- New release 1.1.1
- Remove patch 1 : unneeded
- %%mkrel
- Make rpmbuildupdate-able

* Sun May 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-4mdk
- Fix compile under x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-3mdk
- Fix conflict

* Fri Nov 26 2004 Bchan Milne <bgmilne@linux-mandrake.com> 1.0-2mdk
- remove redundant buildrequires
- buildrequire gsl-devel and cfitsio-devel (and thus get fits support)
- correct lib mjor
-cleanups

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-1mdk
- 1.00

* Thu Nov 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- 0.99

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.97-2mdk
- Rebuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First package

